---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/01_Boat_crash_site/Anim/Z_Box/"
---------------------------------------------------------------------------------------
createComposition24_fr_ = nil
createCompositionfon = nil
createCompositionmypng_Comp_1 = nil
createCompositionvolnas = nil
createCompositionVOLUME_LIGHTS = nil
---------------------------------------------------------------------------------------
createComposition24_fr_ = function()
	local composition24_fr_ = CreateCompositionSequence()
	local compositionDuration = 8
	composition24_fr_:setDuration(compositionDuration)
	composition24_fr_:setName("composition24_fr_" )
	composition24_fr_:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer 24_fr_[].png/1
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/1")
	composition24_fr_:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(composition24_fr_)
	element:setXY(250.5, 168.5)
 
	element:setScale(0.85121107266436,2.04545454545455)
	element:setRotationRad(-0.03077019721707)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition24_fr_:play()
 
	return composition24_fr_
end
 
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon:setDuration(compositionDuration)
	compositionfon:setName("compositionfon" )
	compositionfon:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer volnas/1
	element = createCompositionvolnas()
	element:setName("wave_3")
	compositionfon:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionfon)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer 24_fr_/2
	element = createComposition24_fr_()
	element:setName("wave_4")
	compositionfon:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionfon)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer 24_fr_[].png/3
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("wave_1")
	compositionfon:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionfon)
	element:setRotationRad(-0.53741950865644)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 296)
	effector:setKey(_TRACK_Y, 0, 283)
	effector:setKey(_TRACK_X, 2.17240397135417, 328)
	effector:setKey(_TRACK_Y, 2.17240397135417, 315)
	effector:setKey(_TRACK_X, 4, 380)
	effector:setKey(_TRACK_Y, 4, 343)
	effector:setKey(_TRACK_X, 4.04166666666667, 254)
	effector:setKey(_TRACK_Y, 4.04166666666667, 242)
	effector:setKey(_TRACK_X, 7.91666666666667, 332)
	effector:setKey(_TRACK_Y, 7.91666666666667, 298)
	effector:setKey(_TRACK_SX, 0, 0.54741977731644)
	effector:setKey(_TRACK_SY, 0, 2.42703023718692)
	effector:setKey(_TRACK_SX, 4, 0.73476897339059)
	effector:setKey(_TRACK_SY, 4, 3.18277432872779)
	effector:setKey(_TRACK_SX, 4.04166666666667, 0.87708248761401)
	effector:setKey(_TRACK_SY, 4.04166666666667, 3.65610829372306)
	effector:setKey(_TRACK_SX, 6.08333333333333, 0.73489003067064)
	effector:setKey(_TRACK_SY, 6.08333333333333, 2.65269017820606)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 2.17240397135417, 1)
	effector:setKey(_TRACK_O, 4, 0)
	effector:setKey(_TRACK_O, 4.04166666666667, 0)
	effector:setKey(_TRACK_O, 6.08333333333333, 1)
	effector:setKey(_TRACK_O, 7.91666666666667, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/4
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("wave_2")
	compositionfon:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionfon)
	element:setXY(396, 338)
 
	element:setScale(0.91995812780111,3.00298225743908)
	element:setRotationRad(-0.53741950865644)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer VOLUME_LIGHTS/5
	element = createCompositionVOLUME_LIGHTS()
	element:setName("VOLUME_LIGHTS/5")
	compositionfon:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionfon)
	element:setXY(375, 192)
 
	element:setRotationRad(-0.31827598790669)
	element:setOpacity(0.68)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer m.png/6
	element = CreateCompositionElement(PREFIX_PATH.."m.png")
	element:setName("m.png/6")
	compositionfon:addElement(element)
	element:setHotSpot(65, 57)
	element:setParentElement(compositionfon)
	element:setXY(131, 410)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer fish1_lit_[].png/7
	element = CreateCompositionElement(PREFIX_PATH.."fish1_lit_[].png")
	element:setName("fish1_lit_[].png/7")
	compositionfon:addElement(element)
	element:setHotSpot(32, 30)
	element:setParentElement(compositionfon)
	element:setXY(56.4127423095656, 267.418960750793)
 
	element:setRotationRad(-0.01668599832408)
	element:setOpacity(0.66)
					local anim = element
					anim:setAnimationSize(64,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer fish2_lit_[].png/8
	element = CreateCompositionElement(PREFIX_PATH.."fish2_lit_[].png")
	element:setName("fish2_lit_[].png/8")
	compositionfon:addElement(element)
	element:setHotSpot(37.4524690219866, 19.5)
	element:setParentElement(compositionfon)
	element:setXY(56, 329)
 
	element:setOpacity(0.71)
					local anim = element
					anim:setAnimationSize(68,48)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer t_[].png/9
	element = CreateCompositionElement(PREFIX_PATH.."t_[].png")
	element:setName("t_[].png/9")
	compositionfon:addElement(element)
	element:setHotSpot(70, 56)
	element:setParentElement(compositionfon)
	element:setXY(156, 177)
 
	element:setScale(2.39872187875764,1.20426162646542)
	element:setRotationRad(0.03279679249788)
	element:setOpacity(0.23)
					local anim = element
					anim:setAnimationSize(140,112)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer mypng_Comp_1/10
	element = createCompositionmypng_Comp_1()
	element:setName("box_water")
	compositionfon:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionfon)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer t_[].png/11
	element = CreateCompositionElement(PREFIX_PATH.."t_[].png")
	element:setName("t_[].png/11")
	compositionfon:addElement(element)
	element:setHotSpot(70, 56)
	element:setParentElement(compositionfon)
	element:setXY(332, 116)
 
	element:setScale(4.52331029100321,1.16002875119382)
	element:setRotationRad(0.03392418773487)
	element:setOpacity(0.18)
					local anim = element
					anim:setAnimationSize(140,112)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionfon:play()
 
	return compositionfon
end
 
createCompositionmypng_Comp_1 = function()
	local compositionmypng_Comp_1 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionmypng_Comp_1:setDuration(compositionDuration)
	compositionmypng_Comp_1:setName("compositionmypng_Comp_1" )
	compositionmypng_Comp_1:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer my.png/1
	element = CreateCompositionElement(PREFIX_PATH.."my.png")
	element:setName("my.png/1")
	compositionmypng_Comp_1:addElement(element)
	element:setHotSpot(114.5, 101.5)
	element:setParentElement(compositionmypng_Comp_1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0.58333333333333, 251.5)
	effector:setKey(_TRACK_Y, 0.58333333333333, 167.5)
	effector:setKey(_TRACK_X, 0.70833333333333, 251.5)
	effector:setKey(_TRACK_Y, 0.70833333333333, 168.5)
	effector:setKey(_TRACK_X, 0.83333333333333, 251.5)
	effector:setKey(_TRACK_Y, 0.83333333333333, 167.5)
	effector:setKey(_TRACK_X, 0.89583333333333, 251.5)
	effector:setKey(_TRACK_Y, 0.89583333333333, 168)
	effector:setKey(_TRACK_X, 0.95833333333333, 251.5)
	effector:setKey(_TRACK_Y, 0.95833333333333, 167.5)
	effector:setKey(_TRACK_X, 1.08333333333333, 251.5)
	effector:setKey(_TRACK_Y, 1.08333333333333, 168.5)
	effector:setKey(_TRACK_X, 1.14583333333333, 251.5)
	effector:setKey(_TRACK_Y, 1.14583333333333, 167.5)
	effector:setKey(_TRACK_X, 1.20833333333333, 251.5)
	effector:setKey(_TRACK_Y, 1.20833333333333, 168.5)
	effector:setKey(_TRACK_X, 1.27083333333333, 251.5)
	effector:setKey(_TRACK_Y, 1.27083333333333, 167.5)
	effector:setKey(_TRACK_X, 1.33333333333333, 251.5)
	effector:setKey(_TRACK_Y, 1.33333333333333, 167.5)
	effector:setKey(_TRACK_X, 2.20833333333333, 251.5)
	effector:setKey(_TRACK_Y, 2.20833333333333, 167.5)
	effector:setKey(_TRACK_X, 2.375, 251.5)
	effector:setKey(_TRACK_Y, 2.375, 168.5)
	effector:setKey(_TRACK_X, 2.55558268229167, 251.5)
	effector:setKey(_TRACK_Y, 2.55558268229167, 167.5)
	effector:setKey(_TRACK_X, 2.64583333333333, 251.5)
	effector:setKey(_TRACK_Y, 2.64583333333333, 168)
	effector:setKey(_TRACK_X, 2.73612467447917, 251.5)
	effector:setKey(_TRACK_Y, 2.73612467447917, 167.5)
	effector:setKey(_TRACK_X, 2.91666666666667, 251.5)
	effector:setKey(_TRACK_Y, 2.91666666666667, 168.5)
	effector:setKey(_TRACK_X, 3.0069580078125, 251.5)
	effector:setKey(_TRACK_Y, 3.0069580078125, 167.5)
	effector:setKey(_TRACK_X, 3.09724934895833, 251.5)
	effector:setKey(_TRACK_Y, 3.09724934895833, 168.5)
	effector:setKey(_TRACK_X, 3.1875, 251.5)
	effector:setKey(_TRACK_Y, 3.1875, 167.5)
	effector:setKey(_TRACK_X, 3.27779134114583, 251.5)
	effector:setKey(_TRACK_Y, 3.27779134114583, 167.5)
	effector:setKey(_TRACK_X, 4.5, 251.5)
	effector:setKey(_TRACK_Y, 4.5, 167.5)
	effector:setKey(_TRACK_X, 4.625, 251.5)
	effector:setKey(_TRACK_Y, 4.625, 168.5)
	effector:setKey(_TRACK_X, 4.75, 251.5)
	effector:setKey(_TRACK_Y, 4.75, 167.5)
	effector:setKey(_TRACK_X, 4.8125, 251.5)
	effector:setKey(_TRACK_Y, 4.8125, 168)
	effector:setKey(_TRACK_X, 4.875, 251.5)
	effector:setKey(_TRACK_Y, 4.875, 167.5)
	effector:setKey(_TRACK_X, 5, 251.5)
	effector:setKey(_TRACK_Y, 5, 168.5)
	effector:setKey(_TRACK_X, 5.0625, 251.5)
	effector:setKey(_TRACK_Y, 5.0625, 167.5)
	effector:setKey(_TRACK_X, 5.125, 251.5)
	effector:setKey(_TRACK_Y, 5.125, 168.5)
	effector:setKey(_TRACK_X, 5.1875, 251.5)
	effector:setKey(_TRACK_Y, 5.1875, 167.5)
	effector:setKey(_TRACK_X, 5.25, 251.5)
	effector:setKey(_TRACK_Y, 5.25, 167.5)
	effector:setKey(_TRACK_X, 6.125, 251.5)
	effector:setKey(_TRACK_Y, 6.125, 167.5)
	effector:setKey(_TRACK_X, 6.29166666666667, 251.5)
	effector:setKey(_TRACK_Y, 6.29166666666667, 168.5)
	effector:setKey(_TRACK_X, 6.47224934895833, 251.5)
	effector:setKey(_TRACK_Y, 6.47224934895833, 167.5)
	effector:setKey(_TRACK_X, 6.5625, 251.5)
	effector:setKey(_TRACK_Y, 6.5625, 168)
	effector:setKey(_TRACK_X, 6.65279134114583, 251.5)
	effector:setKey(_TRACK_Y, 6.65279134114583, 167.5)
	effector:setKey(_TRACK_X, 6.83333333333333, 251.5)
	effector:setKey(_TRACK_Y, 6.83333333333333, 168.5)
	effector:setKey(_TRACK_X, 6.92362467447917, 251.5)
	effector:setKey(_TRACK_Y, 6.92362467447917, 167.5)
	effector:setKey(_TRACK_X, 7.013916015625, 251.5)
	effector:setKey(_TRACK_Y, 7.013916015625, 168.5)
	effector:setKey(_TRACK_X, 7.10416666666667, 251.5)
	effector:setKey(_TRACK_Y, 7.10416666666667, 167.5)
	effector:setKey(_TRACK_X, 7.1944580078125, 251.5)
	effector:setKey(_TRACK_Y, 7.1944580078125, 167.5)
	effector:setKey(_TRACK_A, 0, -0.03155693014601)
	effector:setKey(_TRACK_A, 0.39790852864583, -0.02375986208378)
	effector:setKey(_TRACK_A, 1.5916748046875, 0.02302254628959)
	effector:setKey(_TRACK_A, 1.98958333333333, 0.03081961435182)
	effector:setKey(_TRACK_A, 2.38749186197917, 0.02302254628959)
	effector:setKey(_TRACK_A, 3.58125813802083, -0.02375986208378)
	effector:setKey(_TRACK_A, 3.97916666666667, -0.03155693014601)
	effector:setKey(_TRACK_A, 4.3770751953125, -0.02375986208378)
	effector:setKey(_TRACK_A, 5.57084147135417, 0.02302254628959)
	effector:setKey(_TRACK_A, 5.96875, 0.03081961435182)
	effector:setKey(_TRACK_A, 6.36665852864583, 0.02302254628959)
	effector:setKey(_TRACK_A, 7.5604248046875, -0.02375986208378)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.03155693014601)
	effector:play()
 
	compositionmypng_Comp_1:play()
 
	return compositionmypng_Comp_1
end
 
createCompositionvolnas = function()
	local compositionvolnas = CreateCompositionSequence()
	local compositionDuration = 8
	compositionvolnas:setDuration(compositionDuration)
	compositionvolnas:setName("compositionvolnas" )
	compositionvolnas:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer 24_fr_[].png/1
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/1")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 5.54166666666667, 194.5)
	effector:setKey(_TRACK_Y, 5.54166666666667, 173)
	effector:setKey(_TRACK_X, 7.91666666666667, 165)
	effector:setKey(_TRACK_Y, 7.91666666666667, 228.5)
	effector:setKey(_TRACK_SX, 5.54166666666667, 0.35294117647059)
	effector:setKey(_TRACK_SY, 5.54166666666667, 1.72727272727273)
	effector:setKey(_TRACK_SX, 7.91666666666667, 0.52221921077238)
	effector:setKey(_TRACK_SY, 7.91666666666667, 3.74377310463593)
	effector:setKey(_TRACK_A, 5.54166666666667, -0.03683765170953)
	effector:setKey(_TRACK_A, 7.91666666666667, -0.00148738924623)
	effector:setKey(_TRACK_O, 5.54166666666667, 0)
	effector:setKey(_TRACK_O, 6.72916666666667, 1)
	effector:setKey(_TRACK_O, 7.91666666666667, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/2
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/2")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 4.25, 194.5)
	effector:setKey(_TRACK_Y, 4.25, 173)
	effector:setKey(_TRACK_X, 6.625, 165)
	effector:setKey(_TRACK_Y, 6.625, 228.5)
	effector:setKey(_TRACK_SX, 4.25, 0.35294117647059)
	effector:setKey(_TRACK_SY, 4.25, 1.72727272727273)
	effector:setKey(_TRACK_SX, 6.625, 0.52221921077238)
	effector:setKey(_TRACK_SY, 6.625, 3.74377310463593)
	effector:setKey(_TRACK_A, 4.25, -0.03683765170953)
	effector:setKey(_TRACK_A, 6.625, -0.00148738924623)
	effector:setKey(_TRACK_O, 4.25, 0)
	effector:setKey(_TRACK_O, 5.4375, 1)
	effector:setKey(_TRACK_O, 6.625, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/3
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/3")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 2.33333333333333, 194.5)
	effector:setKey(_TRACK_Y, 2.33333333333333, 173)
	effector:setKey(_TRACK_X, 4.70833333333333, 165)
	effector:setKey(_TRACK_Y, 4.70833333333333, 228.5)
	effector:setKey(_TRACK_SX, 2.33333333333333, 0.35294117647059)
	effector:setKey(_TRACK_SY, 2.33333333333333, 1.72727272727273)
	effector:setKey(_TRACK_SX, 4.70833333333333, 0.52221921077238)
	effector:setKey(_TRACK_SY, 4.70833333333333, 3.74377310463593)
	effector:setKey(_TRACK_A, 2.33333333333333, -0.03683765170953)
	effector:setKey(_TRACK_A, 4.70833333333333, -0.00148738924623)
	effector:setKey(_TRACK_O, 2.33333333333333, 0)
	effector:setKey(_TRACK_O, 3.52083333333333, 1)
	effector:setKey(_TRACK_O, 4.70833333333333, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/4
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/4")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 5.58333333333333, 300)
	effector:setKey(_TRACK_Y, 5.58333333333333, 163.5)
	effector:setKey(_TRACK_X, 6.75, 316.051736993448)
	effector:setKey(_TRACK_Y, 6.75, 195.683987997539)
	effector:setKey(_TRACK_X, 7.95833333333333, 311.5)
	effector:setKey(_TRACK_Y, 7.95833333333333, 222)
	effector:setKey(_TRACK_SX, 5.58333333333333, 0.35294117647059)
	effector:setKey(_TRACK_SY, 5.58333333333333, 1.72727272727273)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.52221921077238)
	effector:setKey(_TRACK_SY, 7.95833333333333, 3.74377310463593)
	effector:setKey(_TRACK_A, 5.58333333333333, -0.03683765170953)
	effector:setKey(_TRACK_A, 6.75, -0.16045347236237)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.00148738924623)
	effector:setKey(_TRACK_O, 5.58333333333333, 0)
	effector:setKey(_TRACK_O, 6.77083333333333, 1)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/5
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/5")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 4.29166666666667, 300)
	effector:setKey(_TRACK_Y, 4.29166666666667, 163.5)
	effector:setKey(_TRACK_X, 5.45833333333333, 316.051736993448)
	effector:setKey(_TRACK_Y, 5.45833333333333, 195.683987997539)
	effector:setKey(_TRACK_X, 6.66666666666667, 311.5)
	effector:setKey(_TRACK_Y, 6.66666666666667, 222)
	effector:setKey(_TRACK_SX, 4.29166666666667, 0.35294117647059)
	effector:setKey(_TRACK_SY, 4.29166666666667, 1.72727272727273)
	effector:setKey(_TRACK_SX, 6.66666666666667, 0.52221921077238)
	effector:setKey(_TRACK_SY, 6.66666666666667, 3.74377310463593)
	effector:setKey(_TRACK_A, 4.29166666666667, -0.03683765170953)
	effector:setKey(_TRACK_A, 5.45833333333333, -0.16045347236237)
	effector:setKey(_TRACK_A, 6.66666666666667, -0.00148738924623)
	effector:setKey(_TRACK_O, 4.29166666666667, 0)
	effector:setKey(_TRACK_O, 5.47916666666667, 1)
	effector:setKey(_TRACK_O, 6.66666666666667, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/6
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/6")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 2.33333333333333, 300)
	effector:setKey(_TRACK_Y, 2.33333333333333, 163.5)
	effector:setKey(_TRACK_X, 3.5, 316.051736993448)
	effector:setKey(_TRACK_Y, 3.5, 195.683987997539)
	effector:setKey(_TRACK_X, 4.70833333333333, 311.5)
	effector:setKey(_TRACK_Y, 4.70833333333333, 222)
	effector:setKey(_TRACK_SX, 2.33333333333333, 0.35294117647059)
	effector:setKey(_TRACK_SY, 2.33333333333333, 1.72727272727273)
	effector:setKey(_TRACK_SX, 4.70833333333333, 0.52221921077238)
	effector:setKey(_TRACK_SY, 4.70833333333333, 3.74377310463593)
	effector:setKey(_TRACK_A, 2.33333333333333, -0.03683765170953)
	effector:setKey(_TRACK_A, 3.5, -0.16045347236237)
	effector:setKey(_TRACK_A, 4.70833333333333, -0.00148738924623)
	effector:setKey(_TRACK_O, 2.33333333333333, 0)
	effector:setKey(_TRACK_O, 3.52083333333333, 1)
	effector:setKey(_TRACK_O, 4.70833333333333, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/7
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/7")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0.54166666666667, 300)
	effector:setKey(_TRACK_Y, 0.54166666666667, 163.5)
	effector:setKey(_TRACK_X, 1.70833333333333, 316.051736993448)
	effector:setKey(_TRACK_Y, 1.70833333333333, 195.683987997539)
	effector:setKey(_TRACK_X, 2.91666666666667, 311.5)
	effector:setKey(_TRACK_Y, 2.91666666666667, 222)
	effector:setKey(_TRACK_SX, 0.54166666666667, 0.35294117647059)
	effector:setKey(_TRACK_SY, 0.54166666666667, 1.72727272727273)
	effector:setKey(_TRACK_SX, 2.91666666666667, 0.52221921077238)
	effector:setKey(_TRACK_SY, 2.91666666666667, 3.74377310463593)
	effector:setKey(_TRACK_A, 0.54166666666667, -0.03683765170953)
	effector:setKey(_TRACK_A, 1.70833333333333, -0.16045347236237)
	effector:setKey(_TRACK_A, 2.91666666666667, -0.00148738924623)
	effector:setKey(_TRACK_O, 0.54166666666667, 0)
	effector:setKey(_TRACK_O, 1.72916666666667, 1)
	effector:setKey(_TRACK_O, 2.91666666666667, 0)
	effector:play()
 
 
	-- Layer 24_fr_[].png/8
	element = CreateCompositionElement(PREFIX_PATH.."24_fr_[].png")
	element:setName("24_fr_[].png/8")
	compositionvolnas:addElement(element)
	element:setHotSpot(144.5, 11)
	element:setParentElement(compositionvolnas)
					local anim = element
					anim:setAnimationSize(289,22)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0.54166666666667, 194.5)
	effector:setKey(_TRACK_Y, 0.54166666666667, 173)
	effector:setKey(_TRACK_X, 2.91666666666667, 165)
	effector:setKey(_TRACK_Y, 2.91666666666667, 228.5)
	effector:setKey(_TRACK_SX, 0.54166666666667, 0.35294117647059)
	effector:setKey(_TRACK_SY, 0.54166666666667, 1.72727272727273)
	effector:setKey(_TRACK_SX, 2.91666666666667, 0.52221921077238)
	effector:setKey(_TRACK_SY, 2.91666666666667, 3.74377310463593)
	effector:setKey(_TRACK_A, 0.54166666666667, -0.03683765170953)
	effector:setKey(_TRACK_A, 2.91666666666667, -0.00148738924623)
	effector:setKey(_TRACK_O, 0.54166666666667, 0)
	effector:setKey(_TRACK_O, 1.72916666666667, 1)
	effector:setKey(_TRACK_O, 2.91666666666667, 0)
	effector:play()
 
	compositionvolnas:play()
 
	return compositionvolnas
end
 
createCompositionVOLUME_LIGHTS = function()
	local compositionVOLUME_LIGHTS = CreateCompositionSequence()
	local compositionDuration = 8
	compositionVOLUME_LIGHTS:setDuration(compositionDuration)
	compositionVOLUME_LIGHTS:setName("compositionVOLUME_LIGHTS" )
	compositionVOLUME_LIGHTS:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer ray_4_small.png/1
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("ray_4_small.png/1")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
	element:setXY(66, -228)
 
	element:setScale(2.4,-6.2065299475627)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 1.0014251880305)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.85725492271522)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 0.32)
	effector:setKey(_TRACK_O, 5.29166666666667, 0.32)
	effector:setKey(_TRACK_O, 7.04166666666667, 0)
	effector:play()
 
 
	-- Layer ray_4_small.png/2
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("ray_4_small.png/2")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
	element:setXY(56, -206)
 
	element:setScale(2.4,2.78755555555556)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 1.082104135)
	effector:setKey(_TRACK_A, 1.70833333333333, 1.12111079591931)
	effector:setKey(_TRACK_A, 5.375, 1.04107163388154)
	effector:setKey(_TRACK_A, 7.95833333333333, 1.082104135)
	effector:setKey(_TRACK_O, 0, 0.5)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.5)
	effector:setKey(_TRACK_O, 1.70833333333333, 0)
	effector:setKey(_TRACK_O, 5.375, 0)
	effector:setKey(_TRACK_O, 7.375, 0.5)
	effector:play()
 
 
	-- Layer ray_4_small.png/3
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("ray_4_small.png/3")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 128)
	effector:setKey(_TRACK_Y, 0, -108)
	effector:setKey(_TRACK_X, 5.375, 84)
	effector:setKey(_TRACK_Y, 5.375, -142)
	effector:setKey(_TRACK_SX, 0, 1.72)
	effector:setKey(_TRACK_SY, 0, 2.62859075050119)
	effector:setKey(_TRACK_SX, 5.45833333333333, 2.56)
	effector:setKey(_TRACK_SY, 5.45833333333333, 5.06406251266772)
	effector:setKey(_TRACK_A, 0, 0.83775804)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.9599310875)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 0.32)
	effector:setKey(_TRACK_O, 5.29166666666667, 0.32)
	effector:setKey(_TRACK_O, 7.04166666666667, 0)
	effector:play()
 
	compositionVOLUME_LIGHTS:play()
 
	return compositionVOLUME_LIGHTS
end
 
